org.wildfly.swarm.config.security.security_domain.identity_trust

## Class TrustModule<T extends TrustModule<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.security.security_domain.identity_trust.TrustModule<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class TrustModule<T extends TrustModule<T>>
      extends HashMap

  List of authentication modules
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustModule(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `code()` Class name of the module to be instantiated.
    `T` | `code(String value)` Class name of the module to be instantiated.
    `Flag` | `flag()` The flag controls how the module participates in the overall procedure.
    `T` | `flag(Flag value)` The flag controls how the module participates in the overall procedure.
    `String` | `getKey()`
    `String` | `module()` Name of JBoss Module where the login module is located.
    `T` | `module(String value)` Name of JBoss Module where the login module is located.
    `T` | `moduleOption(String key, Object value)` List of module options containing a name/value pair.
    `Map` | `moduleOptions()` List of module options containing a name/value pair.
    `T` | `moduleOptions(Map value)` List of module options containing a name/value pair.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TrustModule

          public TrustModule(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### code

          public String code()

      Class name of the module to be instantiated.

    - #### code

          public T code(String value)

      Class name of the module to be instantiated.

    - #### flag

          public Flag flag()

      The flag controls how the module participates in the overall procedure. Allowed values are requisite, required, sufficient or optional.

    - #### flag

          public T flag(Flag value)

      The flag controls how the module participates in the overall procedure. Allowed values are requisite, required, sufficient or optional.

    - #### module

          public String module()

      Name of JBoss Module where the login module is located.

    - #### module

          public T module(String value)

      Name of JBoss Module where the login module is located.

    - #### moduleOptions

          public Map moduleOptions()

      List of module options containing a name/value pair.

    - #### moduleOptions

          public T moduleOptions(Map value)

      List of module options containing a name/value pair.

    - #### moduleOption

          public T moduleOption(String key,
                                Object value)

      List of module options containing a name/value pair.

Copyright © 2017 JBoss by Red Hat. All rights reserved.